package com.chinaitop.depot.intelligent.grainNumberMonitor.service;

import com.chinaitop.depot.intelligent.grainNumberMonitor.model.TNumberWarningHistory;
import com.unissoft.model.ResponseEntity;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 数量检测分析预警
 * @create 2019-02-22 16:00
 */
public interface MonitorWarningService {
    /**
     * 列表
     *
     * @param vcfcode
     * @return
     */
    List<Map<String, Object>> getList(String vcfcode,Integer orgId);

    /**
     * 添加或更新数据
     */
    void saveOrUpdate(String cfcode, String devcode, String operator, String orgId, String[] num);

    /**
     * 获取摄像头信息
     *
     * @return
     */
    List<Map<String, Object>> getVideoInfo();

    List<Map<String, Object>> getCfName(String cfname);

    List<TNumberWarningHistory> getListHistory(String orgId,String vCfCode, String startTime, String endTime);

    //检测进度
    ResponseEntity getScanResult(String vcfcode, String ws, Integer orgId);

    //获取扫描结果
    ResponseEntity getmeasureweight(String vcfcode, String devcode, String operator, String orgId, String ws);

    //发送指令
    ResponseEntity sendNumberMonitor(String vcfcode, String ws, Integer orgId);

    TNumberWarningHistory getTWarning(String orgId,String vCfCode);
}
